package pro.litvinovg.w2phtml.gui;

import java.awt.Dimension;
import java.io.File;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.filechooser.FileNameExtensionFilter;
public class FileDialog extends JFrame {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public static String chooseFile(String lastPath, String fileNameExtension){
		File selected = null;
		File currentDirectory = null;
		if (lastPath != null && !lastPath.isEmpty()) {
			File preselected = new File(lastPath);
			if (preselected.exists()) {
				if (preselected.isFile()) {
					currentDirectory = preselected.getParentFile();
				} else if (preselected.isDirectory()) {
					currentDirectory = preselected;
				}
			}
		}
		if (currentDirectory == null) {
			currentDirectory = new File(System.getProperty("user.home"));
		}
		JFileChooser fileChooser = new JFileChooser();
		fileChooser.setPreferredSize(new Dimension(800,600));
		fileChooser.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
		FileNameExtensionFilter filter = new FileNameExtensionFilter(fileNameExtension.toUpperCase(), fileNameExtension.toLowerCase());
		fileChooser.setFileFilter(filter);
		fileChooser.setCurrentDirectory(currentDirectory);
		int result = fileChooser.showOpenDialog(null);
		if (result == fileChooser.APPROVE_OPTION){
			selected = fileChooser.getSelectedFile();
			return selected.getAbsolutePath();
		} else {
			return "";
		}
		
	}
	
}
